TJException

Package org.libjpegturbo.turbojpeg

## Class TJException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.libjpegturbo.turbojpeg.TJException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TJException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TJException()` |
    `TJException​(java.lang.String message)` |
    `TJException​(java.lang.String message, int code)` |
    `TJException​(java.lang.String message, java.lang.Throwable cause)` |
    `TJException​(java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorCode()` | Returns a code (one of `TJ.ERR_*`) indicating the severity of the last error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TJException

          public TJException()

    - #### TJException

          public TJException​(java.lang.String message,
                             java.lang.Throwable cause)

    - #### TJException

          public TJException​(java.lang.String message)

    - #### TJException

          public TJException​(java.lang.String message,
                             int code)

    - #### TJException

          public TJException​(java.lang.Throwable cause)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Returns a code (one of `TJ.ERR_*`) indicating the severity of the last error.
      Returns:
        a code (one of `TJ.ERR_*`) indicating the severity of the last error.